Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Im running LAMP on Ubuntu 11.4. I've installed postfix and configured php.ini file. Im trying to send an email through php mail() function but it's not sending. When I check mail.log I get this error:

Jul 25 15:35:31 WINLSVR001 postfix/qmgr[7880]: fatal: dict_open: unsupported dictionary type: mysql:  Is the postfix-mysql package installed?
Jul 25 15:35:32 WINLSVR001 postfix/master[2547]: warning: process /usr/lib/postfix/qmgr pid 7880 exit status 1
Jul 25 15:35:32 WINLSVR001 postfix/master[2547]: warning: /usr/lib/postfix/qmgr: bad command startup -- throttling

On tutorials, there is no mention of postfix-mysql package. Why do I need to set up this? Is this the problem?

share|improve this question
add comment

1 Answer

if you use any mysql lookups in postfix you need to install the postfix-mysql package. The default ubuntu postfix package doesn't include mysql maps.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.